Subject: Re: [PATCH net-next v2 00/12] net: sched: propagate extack to cls offloads on destroy and only with skip_sw

From: Jiri Pirko <[email-masked]>
Date: Wed, 24 Jan 2018 22:15:00 +0100

Wed, Jan 24, 2018 at 10:07:25PM CET, [email-masked] wrote:
>On 1/24/18 2:04 PM, Jiri Pirko wrote:
>> For the record, I still think it is odd to have 6 patches just to add
>> one arg to a function. I wonder where this unnecessary patch splits
>> would lead to in the future.
>
>I think it made the review much easier than 1 really long patch.

Even squashed, the patch is quite small. Doing the same thing in every
hunk.

On contrary, the split made it more complicated for me, because when
I looked at patch 1 and the function duplication with another arg,
I did not understand what is going on. Only the last patch actually
explained it. But perhaps I'm slow.